<digi-layout-block>
	<digi-typography-heading-jumbo
		af-text="Filuppladdare"
	  >
  </digi-typography-heading-jumbo>
  
	<digi-typography-preamble>
		Filuppladdare tillåter användare att välja eller dra en fil åt gången att ladda upp till en specifik plats.
	</digi-typography-preamble>
</digi-layout-block>

<digi-layout-block 
  af-variation="secondary"
  af-container="static"
  af-vertical-padding="true"
  af-margin-top="true"
  >

	<form>
		<digi-form-file-upload
      af-variation="small"
      af-show-thumbnail="true"
      af-enable-preview="true"
      af-label="Ladda upp fil(er) "
      af-label-description="Virussökning aktiv, max antal filer 3, största filstorlek 3MB"
      af-file-max-size="3"
      af-max-files="3"
      af-validation="disabled"
      af-name="angular-test-file-upload"
      af-heading-files="Uppladdade filer"
      af-file-types=".jpg, .jpeg, .png, .pdf"
      af-file-max-size-text ="Max filstorlek överskriden"
      (afOnUploadFile)="onUpload($event)"
      (afOnRemoveFile)="onRemove($event)"
      (afOnCancelFile)="onCancel($event)"
      (onAfOnRetryFile)="onRetry($event)"
		  >
    </digi-form-file-upload>
	</form>
</digi-layout-block>
